Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.lucene
Class AlphaNumericTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.Tokenizer
                  org.apache.lucene.analysis.util.CharTokenizer
                      org.owasp.dependencycheck.data.lucene.AlphaNumericTokenizer

All Implemented Interfaces:
  Closeable

    public class AlphaNumericTokenizer

extends org.apache.lucene.analysis.util.CharTokenizer

Tokenizes the input breaking it into tokens when non-alpha/numeric characters are found.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`AlphaNumericTokenizer(org.apache.lucene.util.Version matchVersion, org.apache.lucene.util.AttributeSource.AttributeFactory factory, Reader in)` Constructs a new AlphaNumericTokenizer.
`AlphaNumericTokenizer(org.apache.lucene.util.Version matchVersion, Reader in)` Constructs a new AlphaNumericTokenizer.

Method Summary
`protected boolean` | `isTokenChar(int c)` Determines if the char passed in is part of a token.

Methods inherited from class org.apache.lucene.analysis.util.CharTokenizer
`end, incrementToken, normalize, reset`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`close, correctOffset, setReader`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlphaNumericTokenizer

    public AlphaNumericTokenizer(org.apache.lucene.util.Version matchVersion,
                                 Reader in)

  Constructs a new AlphaNumericTokenizer.

  Parameters:
    `matchVersion` - the lucene version
    `in` - the Reader

### AlphaNumericTokenizer

    public AlphaNumericTokenizer(org.apache.lucene.util.Version matchVersion,
                                 org.apache.lucene.util.AttributeSource.AttributeFactory factory,
                                 Reader in)

  Constructs a new AlphaNumericTokenizer.

  Parameters:
    `matchVersion` - the lucene version
    `factory` - the AttributeFactory
    `in` - the Reader

Method Detail

### isTokenChar

    protected boolean isTokenChar(int c)

  Determines if the char passed in is part of a token.

  Specified by:
    `isTokenChar` in class `org.apache.lucene.analysis.util.CharTokenizer`
  Parameters:
    `c` - the char being analyzed
  Returns:
    true if the char is a letter or digit, otherwise false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.